#include <math.h>
#include "SceneGraphRoot.h"
#include "Light.h"
#include "sys.h"
#include "Scheduler.h"
#include "TaskManager.h"

static void
light_move(SceneGraphPtr node, void *sgroot_, int screen_w, int screen_h)
{

}

static void
light_collision(SceneGraphPtr node, void *sgroot_, int screen_w, int screen_h,
		 SceneGraphPtr tree)
{
}

/**
 * @param w Width of screen
 * @param h Height of screen
 */
Light::Light(float w, float h)
{
    name = (char*)"Light";

    // Screen の真ん中を初期値とする
    xyz[0] = w/2.0f;
    xyz[1] = h/2.0f;
    xyz[2] = 0;
    xyz[3] = 1.0f;

    this->set_move_collision(light_move, light_collision);
}

Light::~Light(void)
{

}

